#!#PERL# -w
#
# sudo_wrapper - This is a wrapper for any Nagios plugin that needs to run
#                with elevated privileges. Place an entry in /etc/sudoers
#                similar to the following:
#
# nagios  boson = (root)      NOPASSWD:   /usr/lib/nagios/plugins/check_bastille
#
#                This will allow the user 'nagios' to execute the following
#                command as 'root' without specifying a password:
#
#                sudo /usr/lib/nagios/plugins/check_bastille
#
#                For just that reason, any plugins run this way MUST be owned
#                by the executing user, 'root' in this case. and all
#                privileges must be removed from group and world.
#
# Copyright (C) 2008  Paul Knight, Delmarva Computer Associates, LLC 
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version. 
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
# Street, Fifth Floor, Boston, MA 02110-1301, USA.

use strict;
use warnings;

use File::Basename;

$ENV{'NAGIOS_PLUGIN'} = shift;
my $cmd = join(" ",$ENV{'NAGIOS_PLUGIN'},@ARGV);
my $output = `sudo $cmd`;
my $result = $?;
print "$output";
exit($?);
